* [gentoo-commits] repo/gentoo:master commit in: dev-libs/log4cpp/, dev-libs/log4cpp/files/
@ 2020-07-11 17:34 Andreas K. Hüttel
0 siblings, 0 replies; 5+ messages in thread
From: Andreas K. Hüttel @ 2020-07-11 17:34 UTC (permalink / raw
To: gentoo-commits
commit: aed371a9e678b50b7a0998d1c7a91cae9c48aa32
Author: Stephan Hartmann <stha09 <AT> googlemail <DOT> com>
AuthorDate: Sat Jul 11 17:22:31 2020 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sat Jul 11 17:34:07 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aed371a9
dev-libs/log4cpp: fix test with glibc-2.31
Closes: https://bugs.gentoo.org/723022
Package-Manager: Portage-2.3.99, Repoman-2.3.23
Signed-off-by: Stephan Hartmann <stha09 <AT> googlemail.com>
Closes: https://github.com/gentoo/gentoo/pull/16667
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
.../log4cpp/files/log4cpp-1.1-glibc-2.31.patch | 22 ++++++++++++++++++++++
dev-libs/log4cpp/log4cpp-1.1.3.ebuild | 3 ++-
2 files changed, 24 insertions(+), 1 deletion(-)
diff --git a/dev-libs/log4cpp/files/log4cpp-1.1-glibc-2.31.patch b/dev-libs/log4cpp/files/log4cpp-1.1-glibc-2.31.patch
new file mode 100644
index 00000000000..5b927dfe20f
--- /dev/null
+++ b/dev-libs/log4cpp/files/log4cpp-1.1-glibc-2.31.patch
@@ -0,0 +1,22 @@
+diff --git a/tests/testDailyRollingFileAppender.cpp b/tests/testDailyRollingFileAppender.cpp
+index 9958f41..158c08b 100644
+--- a/tests/testDailyRollingFileAppender.cpp
++++ b/tests/testDailyRollingFileAppender.cpp
+@@ -22,6 +22,7 @@
+
+ #ifndef WIN32 // only available on Win32
+ #include <dirent.h>
++#include <sys/time.h>
+ #else
+ #include <direct.h>
+ #endif
+@@ -232,7 +233,8 @@ namespace OnlyManualTesting {
+
+ now += seconds;
+
+- if (stime(&now) == -1) {
++ struct timeval tv = {.tv_sec = now, .tv_usec = 0};
++ if (settimeofday(&tv, NULL) < 0) {
+ std::cerr << "Can not set date. Need admin privileges?" << std::endl;
+ return -1;
+ }
diff --git a/dev-libs/log4cpp/log4cpp-1.1.3.ebuild b/dev-libs/log4cpp/log4cpp-1.1.3.ebuild
index 2f4e7a389b1..b293ed92d24 100644
--- a/dev-libs/log4cpp/log4cpp-1.1.3.ebuild
+++ b/dev-libs/log4cpp/log4cpp-1.1.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -24,6 +24,7 @@ PATCHES=(
"${FILESDIR}"/1.0-asneeded.patch
"${FILESDIR}"/${PN}-1.1-cmath-fix.patch
"${FILESDIR}"/${PN}-1.1-automake-1.13.patch
+ "${FILESDIR}"/${PN}-1.1-glibc-2.31.patch
)
S="${WORKDIR}/${PN}"
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-libs/log4cpp/, dev-libs/log4cpp/files/
@ 2021-01-07 11:33 Sam James
0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2021-01-07 11:33 UTC (permalink / raw
To: gentoo-commits
commit: 229496dcd84bd840c1e671105d6291b59b5b0368
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 7 11:18:31 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jan 7 11:33:13 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=229496dc
dev-libs/log4cpp: cleanup old
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-libs/log4cpp/Manifest | 2 -
.../log4cpp/files/log4cpp-1.1-glibc-2.31.patch | 22 --------
dev-libs/log4cpp/log4cpp-1.1.ebuild | 60 ----------------------
3 files changed, 84 deletions(-)
diff --git a/dev-libs/log4cpp/Manifest b/dev-libs/log4cpp/Manifest
deleted file mode 100644
index 11d9fe1e8c7..00000000000
--- a/dev-libs/log4cpp/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST log4cpp-1.1.3.tar.gz 595639 BLAKE2B fc7d643aa70d739e38ec5aba127b4e760a47a064f4032690586c4698ec83a2b7f219d8476650d3bfc5e25563de0852869429ec45171233c6bd5c08b69476b169 SHA512 88e5e10bce8d7d6421c3dcf14aa25385159c4ae52becdc1f3666ab86e1ad3f633786d82afe398c517d4faaa57b3e7b7c0b524361d81c6b9040dbded5cecc19de
-DIST log4cpp-1.1.tar.gz 547676 BLAKE2B 3fee8e575b404215d308a0d6c72feef612dcfb9c881c97500937d1a94d1c435108a24ae1ad20f19cedb1613735c22a37354226699fe6cafbf6d23dcd12668271 SHA512 e1a723641c75a0b7f9ad2338134b327cd9a0a1bd67ff76bca726389ad76e8ba0ee5a95abe6f29e05a77980255dc08b0aa5c906395b0a0ad094994c9e450e3ecb
diff --git a/dev-libs/log4cpp/files/log4cpp-1.1-glibc-2.31.patch b/dev-libs/log4cpp/files/log4cpp-1.1-glibc-2.31.patch
deleted file mode 100644
index 5b927dfe20f..00000000000
--- a/dev-libs/log4cpp/files/log4cpp-1.1-glibc-2.31.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-diff --git a/tests/testDailyRollingFileAppender.cpp b/tests/testDailyRollingFileAppender.cpp
-index 9958f41..158c08b 100644
---- a/tests/testDailyRollingFileAppender.cpp
-+++ b/tests/testDailyRollingFileAppender.cpp
-@@ -22,6 +22,7 @@
-
- #ifndef WIN32 // only available on Win32
- #include <dirent.h>
-+#include <sys/time.h>
- #else
- #include <direct.h>
- #endif
-@@ -232,7 +233,8 @@ namespace OnlyManualTesting {
-
- now += seconds;
-
-- if (stime(&now) == -1) {
-+ struct timeval tv = {.tv_sec = now, .tv_usec = 0};
-+ if (settimeofday(&tv, NULL) < 0) {
- std::cerr << "Can not set date. Need admin privileges?" << std::endl;
- return -1;
- }
diff --git a/dev-libs/log4cpp/log4cpp-1.1.ebuild b/dev-libs/log4cpp/log4cpp-1.1.ebuild
deleted file mode 100644
index 406828fdb42..00000000000
--- a/dev-libs/log4cpp/log4cpp-1.1.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit autotools multilib-minimal
-
-DESCRIPTION="C++ classes for flexible logging to files, syslog and other destinations"
-HOMEPAGE="http://log4cpp.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0/5"
-KEYWORDS="amd64 ~arm ppc s390 x86"
-IUSE="doc static-libs test"
-RESTRICT="!test? ( test )"
-
-DEPEND="doc? ( app-doc/doxygen )"
-RDEPEND=""
-
-PATCHES=(
- "${FILESDIR}"/1.0-doc_install_path.patch
- "${FILESDIR}"/1.0-gcc43.patch
- "${FILESDIR}"/1.0-asneeded.patch
- "${FILESDIR}"/${P}-cmath-fix.patch
- "${FILESDIR}"/${P}-automake-1.13.patch
-)
-
-S="${WORKDIR}/${PN}"
-
-MULTILIB_CHOST_TOOLS=(
- /usr/bin/log4cpp-config
-)
-
-src_prepare() {
- default
-
- mv configure.{in,ac} || die
-
- # Build tests conditionally
- if ! use test; then
- sed -i -e '/^SUBDIRS/s/ tests//' Makefile.am || die
- fi
-
- eautoreconf
-}
-
-multilib_src_configure() {
- ECONF_SOURCE=${S} econf \
- --without-idsa \
- $(use_enable doc doxygen) \
- $(use_enable static-libs static)
-}
-
-multilib_src_install_all() {
- einstalldocs
-
- # package installs .pc files
- find "${D}" -name '*.la' -delete || die
-}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-libs/log4cpp/, dev-libs/log4cpp/files/
@ 2022-05-26 0:28 Sam James
0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2022-05-26 0:28 UTC (permalink / raw
To: gentoo-commits
commit: c9f084957aeb97d4d449f38f90824fcd12445ddc
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu May 26 00:27:19 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May 26 00:27:32 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c9f08495
dev-libs/log4cpp: update EAPI 6 -> 8, avoid Bashism issues w/ configure
Not bothering to patch it, just force CONFIG_SHELL as Bash given
upstream is dead.
Closes: https://bugs.gentoo.org/763570
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../log4cpp/files/log4cpp-1.1.3-fix-version.patch | 9 ++++
dev-libs/log4cpp/log4cpp-1.1.3-r1.ebuild | 63 ++++++++++++++++++++++
2 files changed, 72 insertions(+)
diff --git a/dev-libs/log4cpp/files/log4cpp-1.1.3-fix-version.patch b/dev-libs/log4cpp/files/log4cpp-1.1.3-fix-version.patch
new file mode 100644
index 000000000000..9676bacfc9dd
--- /dev/null
+++ b/dev-libs/log4cpp/files/log4cpp-1.1.3-fix-version.patch
@@ -0,0 +1,9 @@
+https://src.fedoraproject.org/rpms/log4cpp/raw/rawhide/f/log4cpp-version-1.1.3.patch
+--- a/configure.in
++++ b/configure.in
+@@ -1,4 +1,4 @@
+-AC_INIT(log4cpp, 1.1)
++AC_INIT(log4cpp, 1.1.3)
+
+ # autoconf 2.50 or higher to rebuild aclocal.m4, because the
+ # AC_CREATE_PREFIX_CONFIG_H macro needs the AS_DIRNAME macro.
diff --git a/dev-libs/log4cpp/log4cpp-1.1.3-r1.ebuild b/dev-libs/log4cpp/log4cpp-1.1.3-r1.ebuild
new file mode 100644
index 000000000000..e84b5498cc10
--- /dev/null
+++ b/dev-libs/log4cpp/log4cpp-1.1.3-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="C++ classes for flexible logging to files, syslog and other destinations"
+HOMEPAGE="http://log4cpp.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="LGPL-2.1"
+SLOT="0/5"
+KEYWORDS="~amd64 ~arm ~ppc ~riscv ~s390 ~x86"
+IUSE="doc static-libs test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="doc? ( app-doc/doxygen )"
+
+PATCHES=(
+ "${FILESDIR}"/1.0-doc_install_path.patch
+ "${FILESDIR}"/1.0-gcc43.patch
+ "${FILESDIR}"/1.0-asneeded.patch
+ "${FILESDIR}"/${PN}-1.1-cmath-fix.patch
+ "${FILESDIR}"/${PN}-1.1-automake-1.13.patch
+ "${FILESDIR}"/${PN}-1.1-glibc-2.31.patch
+ "${FILESDIR}"/${PN}-1.1.3-fix-version.patch
+)
+
+MULTILIB_CHOST_TOOLS=(
+ /usr/bin/log4cpp-config
+)
+
+src_prepare() {
+ default
+
+ mv configure.{in,ac} || die
+
+ # Build tests conditionally
+ if ! use test; then
+ sed -i -e '/^SUBDIRS/s/ tests//' Makefile.am || die
+ fi
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ # Bashisms call configure tests to malfunction / config.h to be misgenerated
+ # which then causes a build failure later on in the package (w/ GCC 12,
+ # anyway).
+ CONFIG_SHELL="${BROOT}"/bin/bash ECONF_SOURCE="${S}" econf \
+ --without-idsa \
+ $(use_enable doc doxygen) \
+ $(use_enable static-libs static)
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ # Package installs .pc files
+ find "${D}" -name '*.la' -delete || die
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-libs/log4cpp/, dev-libs/log4cpp/files/
@ 2023-10-01 7:47 Sam James
0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2023-10-01 7:47 UTC (permalink / raw
To: gentoo-commits
commit: d64882b6a6356a0693f7137e3ea1e2c36c91ab85
Author: Pascal Jäger <pascal.jaeger <AT> leimstift <DOT> de>
AuthorDate: Fri Sep 22 14:00:27 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Oct 1 07:47:04 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d64882b6
dev-libs/log4cpp: fix clang16 build
Closes: https://bugs.gentoo.org/906535
Closes: https://bugs.gentoo.org/895054
Signed-off-by: Pascal Jäger <pascal.jaeger <AT> leimstift.de>
Closes: https://github.com/gentoo/gentoo/pull/32995
Signed-off-by: Sam James <sam <AT> gentoo.org>
...4cpp-1.1.3-fix-implicit-func-in-configure.patch | 20 ++++++++
dev-libs/log4cpp/log4cpp-1.1.3-r3.ebuild | 60 ++++++++++++++++++++++
2 files changed, 80 insertions(+)
diff --git a/dev-libs/log4cpp/files/log4cpp-1.1.3-fix-implicit-func-in-configure.patch b/dev-libs/log4cpp/files/log4cpp-1.1.3-fix-implicit-func-in-configure.patch
new file mode 100644
index 000000000000..9e21817ab890
--- /dev/null
+++ b/dev-libs/log4cpp/files/log4cpp-1.1.3-fix-implicit-func-in-configure.patch
@@ -0,0 +1,20 @@
+clang16 throws an error because of the implicit function declaration of exit().
+This leads to the wrong assumption that snprintf is not present on the system.
+
+Bug: https://bugs.gentoo.org/906535
+Upstream PR: https://sourceforge.net/p/log4cpp/codegit/merge-requests/10/
+
+# Pascal Jäger <pascal.jaeger@leimstift.de> (2023-09-22)
+
+--- a/m4/AC_FUNC_SNPRINTF.m4
++++ b/m4/AC_FUNC_SNPRINTF.m4
+@@ -12,7 +12,8 @@ dnl @author Caolan McNamara <caolan@skynet.ie>
+ dnl
+ AC_DEFUN([AC_FUNC_SNPRINTF],
+ [AC_CACHE_CHECK(for working snprintf, ac_cv_func_snprintf,
+-[AC_TRY_RUN([#include <stdio.h>
++[AC_TRY_RUN([#include <stdlib.h>
++#include <stdio.h>
+ int main () { int l = snprintf(NULL,0,"%d",100); exit (!((3 <= l) || (-1 == l))); }
+ ], ac_cv_func_snprintf=yes, ac_cv_func_snprintf=no,
+ ac_cv_func_snprintf=no)])
diff --git a/dev-libs/log4cpp/log4cpp-1.1.3-r3.ebuild b/dev-libs/log4cpp/log4cpp-1.1.3-r3.ebuild
new file mode 100644
index 000000000000..0c849abac195
--- /dev/null
+++ b/dev-libs/log4cpp/log4cpp-1.1.3-r3.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="C++ classes for flexible logging to files, syslog and other destinations"
+HOMEPAGE="https://log4cpp.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="LGPL-2.1"
+SLOT="0/5"
+KEYWORDS="~amd64 ~arm ~ppc ~riscv ~s390 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="doc? ( app-doc/doxygen )"
+
+PATCHES=(
+ "${FILESDIR}"/1.0-doc_install_path.patch
+ "${FILESDIR}"/1.0-gcc43.patch
+ "${FILESDIR}"/1.0-asneeded.patch
+ "${FILESDIR}"/${PN}-1.1-cmath-fix.patch
+ "${FILESDIR}"/${PN}-1.1-automake-1.13.patch
+ "${FILESDIR}"/${PN}-1.1-glibc-2.31.patch
+ "${FILESDIR}"/${PN}-1.1.3-fix-version.patch
+ "${FILESDIR}"/${PN}-1.1.3-fix-implicit-func-in-configure.patch
+)
+
+src_prepare() {
+ default
+
+ mv configure.{in,ac} || die
+
+ # Build tests conditionally
+ if ! use test; then
+ sed -i -e '/^SUBDIRS/s/ tests//' Makefile.am || die
+ fi
+
+ eautoreconf
+}
+
+src_configure() {
+ append-cxxflags -Wno-register # https://bugs.gentoo.org/895054
+ # Bashisms call configure tests to malfunction / config.h to be misgenerated
+ # which then causes a build failure later on in the package (w/ GCC 12,
+ # anyway).
+ CONFIG_SHELL="${BROOT}"/bin/bash econf \
+ --without-idsa \
+ $(use_enable doc doxygen)
+}
+
+src_install() {
+ default
+
+ # Package installs .pc files
+ find "${ED}" -name '*.la' -delete || die
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-libs/log4cpp/, dev-libs/log4cpp/files/
@ 2024-02-23 18:33 Arthur Zamarin
0 siblings, 0 replies; 5+ messages in thread
From: Arthur Zamarin @ 2024-02-23 18:33 UTC (permalink / raw
To: gentoo-commits
commit: aef0ef66bf7cce12aeea00a3efd0e745def7e095
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 23 18:33:14 2024 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Feb 23 18:33:14 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aef0ef66
dev-libs/log4cpp: add 1.1.4
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-libs/log4cpp/Manifest | 1 +
...4cpp-1.1.4-fix-implicit-func-in-configure.patch | 20 ++++++++
dev-libs/log4cpp/files/log4cpp-1.1.4-gcc43.patch | 11 ++++
dev-libs/log4cpp/log4cpp-1.1.4.ebuild | 59 ++++++++++++++++++++++
4 files changed, 91 insertions(+)
diff --git a/dev-libs/log4cpp/Manifest b/dev-libs/log4cpp/Manifest
index b9af8f327ffe..58f428e911e6 100644
--- a/dev-libs/log4cpp/Manifest
+++ b/dev-libs/log4cpp/Manifest
@@ -1 +1,2 @@
DIST log4cpp-1.1.3.tar.gz 595639 BLAKE2B fc7d643aa70d739e38ec5aba127b4e760a47a064f4032690586c4698ec83a2b7f219d8476650d3bfc5e25563de0852869429ec45171233c6bd5c08b69476b169 SHA512 88e5e10bce8d7d6421c3dcf14aa25385159c4ae52becdc1f3666ab86e1ad3f633786d82afe398c517d4faaa57b3e7b7c0b524361d81c6b9040dbded5cecc19de
+DIST log4cpp-1.1.4.tar.gz 637440 BLAKE2B fe7d3cf5ea8ff8f9bdd86691195c02473bd21a90ebfe2d9cd7a32c2fa30e17b5a104c6181601cf2dce19b703496bb6038e7b0a782a24dfd55415ecd462e49841 SHA512 0cdbd46ccd048d70bea3c35d22080dc5dd21fc3b9c415fe464847e60775954f57e9c8344506f0f94f16e90e8bdaa9cc6d84d3aa65191501e52ee8dfc639f0398
diff --git a/dev-libs/log4cpp/files/log4cpp-1.1.4-fix-implicit-func-in-configure.patch b/dev-libs/log4cpp/files/log4cpp-1.1.4-fix-implicit-func-in-configure.patch
new file mode 100644
index 000000000000..78a5dd4c8e54
--- /dev/null
+++ b/dev-libs/log4cpp/files/log4cpp-1.1.4-fix-implicit-func-in-configure.patch
@@ -0,0 +1,20 @@
+clang16 throws an error because of the implicit function declaration of exit().
+This leads to the wrong assumption that snprintf is not present on the system.
+
+Bug: https://bugs.gentoo.org/906535
+Upstream PR: https://sourceforge.net/p/log4cpp/codegit/merge-requests/10/
+
+# Pascal Jäger <pascal.jaeger@leimstift.de> (2023-09-22)
+
+--- a/m4/AC_FUNC_SNPRINTF.m4
++++ b/m4/AC_FUNC_SNPRINTF.m4
+@@ -12,7 +12,8 @@ dnl @author Caolan McNamara <caolan@skynet.ie>
+ dnl
+ AC_DEFUN([AC_FUNC_SNPRINTF],
+ [AC_CACHE_CHECK(for working snprintf, ac_cv_func_snprintf,
+-[AC_TRY_RUN([#include <stdio.h>
++[AC_TRY_RUN([#include <stdlib.h>
++#include <stdio.h>
+ int main () { int l = snprintf(NULL,0,"%d",100); return !((3 <= l) || (-1 == l)); }
+ ], ac_cv_func_snprintf=yes, ac_cv_func_snprintf=no,
+ ac_cv_func_snprintf=no)])
diff --git a/dev-libs/log4cpp/files/log4cpp-1.1.4-gcc43.patch b/dev-libs/log4cpp/files/log4cpp-1.1.4-gcc43.patch
new file mode 100644
index 000000000000..9a1fd466c274
--- /dev/null
+++ b/dev-libs/log4cpp/files/log4cpp-1.1.4-gcc43.patch
@@ -0,0 +1,11 @@
+--- a/src/PatternLayout.cpp
++++ b/src/PatternLayout.cpp
+@@ -373,7 +373,7 @@
+ literal = "";
+ }
+ if ((minWidth != 0) || (maxWidth != 0)) {
+- component = new FormatModifierComponent(component, std::abs(minWidth), maxWidth, minWidth < 0);
++ component = new FormatModifierComponent(component, std::abs((float)minWidth), maxWidth, minWidth < 0);
+ minWidth = maxWidth = 0;
+ }
+ _components.push_back(component);
diff --git a/dev-libs/log4cpp/log4cpp-1.1.4.ebuild b/dev-libs/log4cpp/log4cpp-1.1.4.ebuild
new file mode 100644
index 000000000000..3b679658a0e5
--- /dev/null
+++ b/dev-libs/log4cpp/log4cpp-1.1.4.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="C++ classes for flexible logging to files, syslog and other destinations"
+HOMEPAGE="https://log4cpp.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="LGPL-2.1"
+SLOT="0/5"
+KEYWORDS="~amd64 ~arm ~ppc ~riscv ~s390 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="doc? ( app-text/doxygen )"
+
+PATCHES=(
+ "${FILESDIR}"/1.0-doc_install_path.patch
+ "${FILESDIR}"/1.0-asneeded.patch
+ "${FILESDIR}"/${PN}-1.1-cmath-fix.patch
+ "${FILESDIR}"/${PN}-1.1-automake-1.13.patch
+ "${FILESDIR}"/${PN}-1.1.3-fix-version.patch
+ "${FILESDIR}"/${PN}-1.1.4-fix-implicit-func-in-configure.patch
+ "${FILESDIR}"/${PN}-1.1.4-gcc43.patch
+)
+
+src_prepare() {
+ default
+
+ mv configure.{in,ac} || die
+
+ # Build tests conditionally
+ if ! use test; then
+ sed -i -e '/^SUBDIRS/s/ tests//' Makefile.am || die
+ fi
+
+ eautoreconf
+}
+
+src_configure() {
+ append-cxxflags -Wno-register # https://bugs.gentoo.org/895054
+ # Bashisms call configure tests to malfunction / config.h to be misgenerated
+ # which then causes a build failure later on in the package (w/ GCC 12,
+ # anyway).
+ CONFIG_SHELL="${BROOT}"/bin/bash econf \
+ --without-idsa \
+ $(use_enable doc doxygen)
+}
+
+src_install() {
+ default
+
+ # Package installs .pc files
+ find "${ED}" -name '*.la' -delete || die
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
end of thread, other threads:[~2024-02-23 18:34 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-10-01 7:47 [gentoo-commits] repo/gentoo:master commit in: dev-libs/log4cpp/, dev-libs/log4cpp/files/ Sam James
-- strict thread matches above, loose matches on Subject: below --
2024-02-23 18:33 Arthur Zamarin
2022-05-26 0:28 Sam James
2021-01-07 11:33 Sam James
2020-07-11 17:34 Andreas K. Hüttel
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox